## zam-plugins 4.2%2Bds

=== plugins/ZaMaximX2/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZaMaximX2

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	ZaMaximX2Plugin.cpp

FILES_UI  = \
	ZaMaximX2Artwork.cpp \
	ZaMaximX2UI.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS += jack
TARGETS += ladspa
TARGETS += lv2_sep
TARGETS += vst2
TARGETS += vst3
TARGETS += clap

all: $(TARGETS)

# --------------------------------------------------------------
