=== plugins/ZamEQ2/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamEQ2

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	ZamEQ2Plugin.cpp

FILES_UI  = \
	ZamEQ2Artwork.cpp \
	ZamEQ2UI.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS += jack
TARGETS += ladspa
TARGETS += lv2_sep
TARGETS += vst2
TARGETS += vst3
TARGETS += clap

all: $(TARGETS)

# --------------------------------------------------------------
