=== plugins/ZamPhono/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamPhono

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	ZamPhonoPlugin.cpp

FILES_UI  = \
	ZamPhonoArtwork.cpp \
	ZamPhonoUI.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS += jack
TARGETS += lv2_sep
TARGETS += vst2
TARGETS += vst3
TARGETS += clap

all: $(TARGETS)

# --------------------------------------------------------------
