=== plugins/ZaMultiComp/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZaMultiComp

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	ZaMultiCompPlugin.cpp

FILES_UI  = \
	ZaMultiCompArtwork.cpp \
	ZaMultiCompUI.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS += jack
TARGETS += lv2_sep
TARGETS += vst2
TARGETS += vst3
TARGETS += clap

all: $(TARGETS)

# --------------------------------------------------------------
