=== plugins/ZamGEQ31/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamGEQ31

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	ZamGEQ31Plugin.cpp

FILES_UI  = \
	ZamGEQ31Artwork.cpp \
	ZamGEQ31UI.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS += jack
TARGETS += ladspa
TARGETS += lv2_sep
TARGETS += vst2
TARGETS += vst3
TARGETS += clap

all: $(TARGETS)

# --------------------------------------------------------------
