=== plugins/ZamGrains/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamGrains

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	ZamGrainsPlugin.cpp

FILES_UI  = \
	ZamGrainsArtwork.cpp \
	ZamGrainsUI.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS += jack
TARGETS += ladspa
TARGETS += lv2_sep
TARGETS += vst2
TARGETS += vst3
TARGETS += clap

all: $(TARGETS)

# --------------------------------------------------------------
