=== debian/changelog ===
zam-plugins (4.2+ds-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 20:03:48 +0200

zam-plugins (4.2+ds-1) unstable; urgency=medium

  * New upstream version 4.2+ds
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Tue, 07 Nov 2023 19:06:33 +0100

zam-plugins (4.1+ds-3) unstable; urgency=medium

  * Clean files from successful build (Closes: #1048911)

 -- Dennis Braun <snd@debian.org>  Sun, 24 Sep 2023 15:14:21 +0200

zam-plugins (4.1+ds-2) unstable; urgency=medium

  [ Olivier Humbert ]
  * d/control: adds Provides + adds mention to VST3 and CLAP versions
    in the description field
  * d/copyright: adds myself

  [ Dennis Braun ]
  * Build-Depends: libgl1-mesa-dev => libgl-dev

 -- Dennis Braun <snd@debian.org>  Fri, 28 Jul 2023 10:34:27 +0200
