=== debian/watch ===
version=4
opts=dversionmangle=s/@DEB_EXT@//,repacksuffix=+ds \
  https://github.com/zamaudio/zam-plugins/tags .*/v?(\d\S*)\.tar\.gz
